# Language: German
---
outlines:
    default:          { width: 40.41,   height: 52     }
    action:           { width: 67.35,   height: 52     }
    change-view:      { width: 60.615,  height: 52     }
    change-view-2:    { width: 67.35,   height: 52     }
    halfwidth:        { width: 20.205,  height: 52     }
    large:            { width: 60.615,  height: 52     }
    narrow:           { width: 30.307,  height: 52     }
    small-row:        { width: 50.512,  height: 27.725 }
    spaceline:        { width: 114.495, height: 52     }
    special:          { width: 40.41,   height: 52     }
    special-2:        { width: 60.615,  height: 52     }
    special-3:        { width: 67.35,   height: 52     }
    subtle-highlight: { width: 40.41,   height: 52     }

views:
    base:
        - "Tab-small Ctrl Alt Shift ↑ ↓ ← →"
        - "q w e r t z u i o p"
        - ".-thin a s d f g h j k l --thin"
        - "show_upper y x c v b n m BackSpace"
        - "show_numbers show_eschars preferences space show_actions Return"
    upper:
        - "Tab-small Ctrl Alt Shift PageUp PageDown Home End"
        - "Q W E R T Z U I O P"
        - "/-thin A S D F G H J K L |-thin"
        - "show_upper Y X C V B N M BackSpace"
        - "show_numbers show_eschars preferences space show_actions Return"
    numbers:
        - "Tab-small Ctrl Alt Shift ↑ ↓ ← →"
        - "1 2 3 4 5 6 7 8 9 0"
        - "\\ * # $ / & - + ( ) _"
        - "show_symbols , \" ' : ; ! ? BackSpace"
        - "show_letters show_eschars preferences space . Return"
    symbols:
        - "Tab-small Ctrl Alt Shift ↑ ↓ ← →"
        - "~ ` · √ π τ ÷ × ¶ @"
        - "\\ © ® £ € ¥ ^ ° { } _"
        - "show_numbers % | < > = [ ] BackSpace"
        - "show_letters show_eschars preferences space . Return"
    eschars:
        - "Tab-small Ctrl Alt Shift ↑ ↓ ← →"
        - "ä è é ö ü Ä È É Ö Ü"
        - "à â ê î ô À Â È Î Ô"
        - "show_numbers « » ç Ç æ œ ß BackSpace"
        - "show_letters show_eschars preferences space „ “ Return"
    actions:
        - "Tab-small Ctrl Alt Shift PageUp PageDown Home End"
        - "F1  F2  F3  F4  F5  F6"
        - "F7  F8  F9  F10 F11 F12"
        - "Esc Tab Pause Insert Up Del"
        - "show_letters_actions Menu Break Left Down Right"

buttons:
    show_upper:
        action:
            locking:
                lock_view: "upper"
                unlock_view: "base"
        outline: "change-view"
        icon: "key-shift"
    BackSpace:
        outline: "special-2"
        icon: "edit-clear-symbolic"
        action: "erase"
    preferences:
        action: "show_prefs"
        outline: "special"
        icon: "keyboard-mode-symbolic"
    show_numbers:
        action:
            set_view: "numbers"
        outline: "change-view"
        label: "123"
    show_letters:
        action:
            set_view: "base"
        outline: "change-view"
        label: "ABC"
    show_letters_actions:
        action:
            set_view: "base"
        outline: "change-view-2"
        label: "ABC"
    show_symbols:
        action:
            set_view: "symbols"
        outline: "change-view"
        label: "τ=\\"
    show_eschars:
        action:
            locking:
                lock_view: "eschars"
                unlock_view: "base"
        outline: "change-view"
        label: "Ää"
    show_actions:
        action:
            set_view: "actions"
        outline: "change-view"
        label: ">_"
    .:
        outline: "large"
    space:
        outline: "spaceline"
        text: " "
    Return:
        outline: "special-3"
        icon: "key-enter"
        keysym: "Return"
    F1:
        outline: "action"
        keysym: "F1"
    F2:
        outline: "action"
        keysym: "F2"
    F3:
        outline: "action"
        keysym: "F3"
    F4:
        outline: "action"
        keysym: "F4"
    F5:
        outline: "action"
        keysym: "F5"
    F6:
        outline: "action"
        keysym: "F6"
    F7:
        outline: "action"
        keysym: "F7"
    F8:
        outline: "action"
        keysym: "F8"
    F9:
        outline: "action"
        keysym: "F9"
    F10:
        outline: "action"
        keysym: "F10"
    F11:
        outline: "action"
        keysym: "F11"
    F12:
        outline: "action"
        keysym: "F12"
    Esc:
        outline: "action"
        keysym: "Escape"
    Tab:
        outline: "action"
        keysym: "Tab"
    Tab-small:
        outline: "small-row"
        keysym: "Tab"
        label: "Tab"
    Del:
        outline: "action"
        keysym: "Delete"
        label: "Entf"
    Insert:
        outline: "action"
        keysym: "Insert"
        label: "Einfg"
    Menu:
        outline: "action"
        keysym: "Menu"
        label: "Menü"
    Pause:
        outline: "action"
        keysym: "Pause"
    Break:
        outline: "action"
        keysym: "Break"
        label: "Untbr"
    Home:
        outline: "small-row"
        keysym: "Home"
        label: "Pos1"
    End:
        outline: "small-row"
        keysym: "End"
        label: "Ende"
    PageUp:
        outline: "small-row"
        keysym: "Page_Up"
        label: "Bild ↑"
    PageDown:
        outline: "small-row"
        keysym: "Page_Down"
        label: "Bild ↓"
    "↑":
        outline: "small-row"
        keysym: "Up"
    "↓":
        outline: "small-row"
        keysym: "Down"
    "←":
        outline: "small-row"
        keysym: "Left"
    "→":
        outline: "small-row"
        keysym: "Right"
    Up:
        label: "↑"
        outline: "action"
        keysym: "Up"
    Left:
        label: "←"
        outline: "action"
        keysym: "Left"
    Down:
        label: "↓"
        outline: "action"
        keysym: "Down"
    Right:
        label: "→"
        outline: "action"
        keysym: "Right"
    Ctrl:
        modifier: "Control"
        outline: "small-row"
        label: "Strg"
    Alt:
        modifier: "Alt"
        outline: "small-row"
        label: "Alt"
    Shift:
        modifier: "Shift"
        outline: "small-row"
        label: "Umsch"
    --thin:
        outline: "halfwidth"
        text: "-"
    /-thin:
        outline: "halfwidth"
        text: "/"
    "|-thin":
        outline: "halfwidth"
        text: "|"
    .-thin:
        outline: "halfwidth"
        text: "."
    "„":
        outline: "narrow"
        text: "„"
    "“":
        outline: "narrow"
        text: "“"
    "\\":
        outline: "halfwidth"
    _:
        outline: "halfwidth"
    ä:
        outline: "subtle-highlight"
    ö:
        outline: "subtle-highlight"
    ü:
        outline: "subtle-highlight"
    Ä:
        outline: "subtle-highlight"
    Ö:
        outline: "subtle-highlight"
    Ü:
        outline: "subtle-highlight"
    ß:
        outline: "subtle-highlight"